Module java.desktop
Package javax.swing.plaf.basic

# Class BasicBorders.MenuBarBorder

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.plaf.basic.BasicBorders.MenuBarBorder

All Implemented Interfaces:
  `Serializable`, `Border`, `UIResource`

Enclosing class:
  BasicBorders

    public static class BasicBorders.MenuBarBorder
    extends AbstractBorder
    implements UIResource

Draws the border around a menu bar.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MenuBarBorder​(Color shadow, Color highlight)` | Constructs a new instance of a `MenuBarBorder`.

## Method Summary

### Methods declared in class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MenuBarBorder

public MenuBarBorder​(Color shadow, Color highlight)
Constructs a new instance of a `MenuBarBorder`.

Parameters:
  `shadow` - a color of shadow
  `highlight` - a color of highlight